Package org.codehaus.groovy.control

# Class CompilationUnit.SourceUnitOperation

java.lang.Object
org.codehaus.groovy.control.CompilationUnit.SourceUnitOperation

All Implemented Interfaces:
  `CompilationUnit.ISourceUnitOperation`

Enclosing class:
  CompilationUnit

@Deprecated public abstract static class CompilationUnit.SourceUnitOperation extends Object implements CompilationUnit.ISourceUnitOperation
Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SourceUnitOperation()`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.control.CompilationUnit.ISourceUnitOperation

  `call, doPhaseOperation`

- ## Constructor Details

  - ### SourceUnitOperation

    public SourceUnitOperation()
    Deprecated.